ranges::v3::view::remove_if_fn Struct Reference

## Synopsis of methods

constexpr view< remove_if_fn > | remove_if {}

## Public Types

template<typename Rng , typename Pred >
using | Constraint = meta::and_< InputRange< Rng >, IndirectPredicate< Pred, iterator_t< Rng > >>

## Public Member Functions

template<typename Rng , typename Pred , requires = (Constraint<Rng, Pred>())>
auto | operator() (Rng &&rng, Pred pred) const noexcept(noexcept(decltype(remove_if_view< all_t< Rng >, Pred >{ all(static_cast< Rng &&>(rng)), std::move(pred)})(remove_if_view< all_t< Rng >, Pred >{ all(static_cast< Rng &&>(rng)), std::move(pred)}))) -> decltype(remove_if_view< all_t< Rng >, Pred >